#version 400 core

in vec2 fTexcoord;

out vec4 outColor;

uniform sampler2D tex;

void main(void) { 
	vec4 color = texture(tex, fTexcoord);

	if (color.r > 0.999 || color.g > 0.999 || color.b > 0.999) {
		outColor = color;
	} else {
		discard;
	}

}